Re: [linux-audio-user] Re: [Alsa-user] VxPocket and hotplug - need help getting it working

From: Lee Revell <>
Date: Wed Mar 22 2006 - 19:46:45 EET

On Wed, 2006-03-22 at 11:49 +0100, Asbjørn Sæbø wrote:
> On Tue, Mar 21, 2006 at 03:31:27PM -0500, Lee Revell wrote:
> > On Tue, 2006-03-21 at 11:41 +0000, tim hall wrote:
> > > My reasoning behind this point/question is that studios and production
> > > environments are likely to want to run 'stable' distros and Debian is
> > > always going to ship with at least year old software, whether anyone
> > > thinks it's a good idea or not. [...]
> > If a production environment wants to use a 2-year old kernel they had
> > better be willing to use 2-year old hardware if they need full driver
> > support.
> Please, do not take this as a complaint. Although I am quite annoued
> not getting my sound card to work, I am grateful for the help and advice
> I have received from several people here.
> However, I would like to point out that in this case, the problem is not
> new hardware. The vxpocket card is bought around 2000, and I have
> reports of it working with alsa 1.0.3. And the laptop is from 2003.

Yeah - I wasn't referring to your use of DeMuDi (which should certainly
be recent enough) but to Tim's suggestion that developers would be
interested in supporting stuff as old as sarge.

"Release early, release often" vs. "release it when it's done" is almost
a religious debate, so we shouldn't get into it (as you might have
guessed I'm a fan of the former). The main issue is that developer time
is a very limited resource and from the developer's POV once a problem
is fixed in the latest release, it's history - the longer ago it was
fixed the less interest they will have. So the older a distro's
software versions the less help they will get from the developers and
the more work required to maintain the distro.

> I also think that Tim is raising a valid point. I can fully understand
> that those working on ALSA have more than enough to do with current
> development, and that debugging errors on older versions running on
> unknown hadware may not be very feasible. But that is not of little
> help for those of us less skilled and stuck with what seems like (at
> least for us having them) hard problems. Some mechanism for solving
> situations like this would be most helpful.

There's no good solution - projects like Debian, Ubuntu and the Linux
kernel have tried to strike the right balance for ages. It's a hard

> I do not know what a suitable solution might be. Paid-for support could
> be an alternative. A vendor selling "certified" hardware and
> combinations of hardware might be another. I know that I have spent
> more than a full week trying to solve my problem now (and more before
> that), and would probably be willing to pay something for qualified
> help.

Heh, if it's still not working by LAC2006 I'll take a look (free of
course) ;-)

> The fact still remains, though, that the deepest insight into alsa is
> found among the developers. So, for the hardest problems, the
> developers would probably still have to be involved. And there we are
> again.

True, except for hardware support issues, where the developers' access
is much more limited than some think.

> With kind regards
> Asbjørn
Received on Wed Mar 22 20:15:05 2006

This archive was generated by hypermail 2.1.8 : Wed Mar 22 2006 - 20:15:06 EET